Bug 500958 - Review Request: perl-PAR-Packer - PAR Packager
Review Request: perl-PAR-Packer - PAR Packager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 500959
  Show dependency treegraph
 
Reported: 2009-05-15 02:45 EDT by Marcela Mašláňová
Modified: 2017-12-27 18:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-22 02:43:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2009-05-15 02:45:22 EDT
Spec URL: http://mmaslano.fedorapeople.org/review/perl-PAR-Packer.spec
SRPM URL: http://mmaslano.fedorapeople.org/review/perl-PAR-Packer-0.991-1.fc11.src.rpm
Description: This module implements the App::Packer::Backend interface, for generating stand-alone executables, perl scripts and PAR files.

Build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1355752
Comment 1 Parag AN(पराग) 2009-05-15 03:23:37 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1355752
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
2df43a4a76fc50b8d07bc3fea7b8f8465d4b444f  PAR-Packer-0.991.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package perl-PAR-Packer-0.991-1.fc12.i586 =>
Provides: perl(App::Packer::PAR) = 0.91 perl(PAR::Filter) = 0.03 perl(PAR::Filter::Bleach) perl(PAR::Filter::Bytecode) perl(PAR::Filter::Obfuscate) perl(PAR::Filter::PatchContent) perl(PAR::Filter::PodStrip) perl(PAR::Packer) = 0.991 perl(PAR::StrippedPARL::Base) = 0.975 perl(PAR::StrippedPARL::Dynamic) = 0.958 perl(PAR::StrippedPARL::Static) = 0.958 perl(pp) = 0.977

Requires: /usr/bin/perl libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.2) libcrypt.so.1 libdl.so.2 libm.so.6 libnsl.so.1 libperl.so libpthread.so.0 libpthread.so.0(GLIBC_2.0) libpthread.so.0(GLIBC_2.2) libresolv.so.2 libutil.so.1 perl >= 0:5.006 perl(App::Packer::PAR) perl(Archive::Zip) perl(Config) perl(Cwd) perl(ExtUtils::MakeMaker) perl(File::Basename) perl(File::Find) perl(File::Spec) perl(File::Temp) perl(FindBin) perl(Getopt::ArgvFile) perl(Getopt::Long) perl(Module::ScanDeps) perl(PAR) perl(PAR::Filter) perl(PAR::Packer) perl(Tk) perl(Tk::Balloon) perl(Tk::Dialog) perl(Tk::LabEntry) perl(base) perl(constant) perl(pp) perl(strict) perl(vars) perl(warnings) rtld(GNU_HASH)
+ Not a GUI application

Should:
1) Seems you forgot to remove
BuildRequires:  perl >= 1:5.6.0
Remove this.

APPROVED.
Comment 2 Marcela Mašláňová 2009-05-15 03:30:59 EDT
Wow, you are fast. Thank you. Useless BR was removed.
Comment 3 Marcela Mašláňová 2009-05-15 03:31:43 EDT
New Package CVS Request
=======================
Package Name: perl-PAR-Packer
Short Description: PAR Packager
Owners: mmaslano
Branches: F-11
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2009-05-15 20:03:47 EDT
cvs done.
Comment 5 Fedora Update System 2017-12-04 04:05:02 EST
perl-Getopt-ArgvFile-1.11-24.el7 perl-PAR-1.015-4.el7 perl-PAR-Packer-1.041-2.el7 perl-Tk-Canvas-GradientColor-1.06-10.el7 perl-Tk-ColoredButton-1.05-15.el7 perl-Tk-EntryCheck-0.04-15.el7 perl-Tk-Getopt-0.51-3.el7 perl-Tk-Pod-0.9943-6.el7 perl-perlindex-1.606-10.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fe2035adcd
Comment 6 Fedora Update System 2017-12-04 04:05:56 EST
perl-Getopt-ArgvFile-1.11-24.el7 perl-PAR-1.015-4.el7 perl-PAR-Packer-1.041-2.el7 perl-Tk-Canvas-GradientColor-1.06-10.el7 perl-Tk-ColoredButton-1.05-15.el7 perl-Tk-EntryCheck-0.04-15.el7 perl-Tk-Getopt-0.51-3.el7 perl-Tk-Pod-0.9943-6.el7 perl-perlindex-1.606-10.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fe2035adcd
Comment 7 Fedora Update System 2017-12-04 18:26:47 EST
perl-Getopt-ArgvFile-1.11-24.el7, perl-PAR-1.015-4.el7, perl-PAR-Packer-1.041-2.el7, perl-Tk-Canvas-GradientColor-1.06-10.el7, perl-Tk-ColoredButton-1.05-15.el7, perl-Tk-EntryCheck-0.04-15.el7, perl-Tk-Getopt-0.51-3.el7, perl-Tk-Pod-0.9943-6.el7, perl-perlindex-1.606-10.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fe2035adcd
Comment 8 Parag AN(पराग) 2017-12-22 02:43:30 EST
Please don't open closed package review bugs. This is closed in 2009 and you added them to this 2017 update.
Comment 9 Fedora Update System 2017-12-27 18:58:08 EST
perl-Getopt-ArgvFile-1.11-24.el7, perl-PAR-1.015-4.el7, perl-PAR-Packer-1.041-2.el7, perl-Tk-Canvas-GradientColor-1.06-10.el7, perl-Tk-ColoredButton-1.05-15.el7, perl-Tk-EntryCheck-0.04-15.el7, perl-Tk-Getopt-0.51-3.el7, perl-Tk-Pod-0.9943-6.el7, perl-perlindex-1.606-10.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.